package com.xkrs.controller;

import com.xkrs.model.qo.QcItemQoDelete;
import com.xkrs.model.qo.QcItemQoInsert;
import com.xkrs.model.qo.QcItemQoUpdate;
import com.xkrs.service.QcItemService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
public class QcItemController {

    @Resource
    private QcItemService qcItemService;

    /**
     * 添加检验项目
     */
    @PostMapping("/insertQcItem")
    public String insertQcItem(@RequestBody QcItemQoInsert insertQo) {
        return qcItemService.insertQcItem(insertQo);
    }

    /**
     * 删除检验项目
     */
    @PostMapping("/deleteQcItem")
    public String deleteQcItem(@RequestBody QcItemQoDelete deleteQo) {
        return qcItemService.deleteQcItem(deleteQo);
    }

    /**
     * 更新检验项目名称
     */
    @PostMapping("/updateQcItem")
    public String updateQcItem(@RequestBody QcItemQoUpdate updateQo) {
        return qcItemService.updateQcItem(updateQo);
    }

    /**
     * 查询检验项目
     */
    @GetMapping("/queryQcItem")
    public String queryQcItem(@RequestParam(required = false, value = "no") String no, @RequestParam(required = false, value = "name") String name) {
        return qcItemService.queryQcItem(no, name);
    }


}
