package com.xkrs.controller;

import com.xkrs.model.qo.ExportSourceExcelQo;
import com.xkrs.model.qo.QcSourceQoDelete;
import com.xkrs.model.qo.QcSourceQoInsert;
import com.xkrs.service.QcSourceService;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;

@RestController
public class QcSourceController {

    @Resource
    private QcSourceService qcSourceService;

    /**
     * 添加检验数据（用于在Json中接收字符串数据）
     */
    @PostMapping("/insertQcSource")
    public String insertQcSource(@RequestBody QcSourceQoInsert insertQo, @RequestParam(required = false, value = "picture") MultipartFile picture) {
        return qcSourceService.insertQcSource(insertQo, picture);
    }

    /**
     * 添加检验数据（用于在form-data中接收图片文件）
     */
    @PostMapping("/insertQcSourceOnlyPicture")
    public String insertQcSourceOnlyPicture(QcSourceQoInsert insertQo, @RequestParam(value = "picture") MultipartFile picture) {
        return qcSourceService.insertQcSource(insertQo, picture);
    }

    /**
     * 删除检验数据
     */
    @PostMapping("/deleteQcSource")
    public String deleteQcSource(@RequestBody QcSourceQoDelete deleteQo) {
        return qcSourceService.deleteQcSource(deleteQo);
    }

    /**
     * 查询检验数据
     */
    @GetMapping("/queryQcSource")
    public String queryQcSource(@RequestParam(required = false, value = "batchNo") String batchNo, @RequestParam(required = false, value = "machineNo") String machineNo, @RequestParam(required = false, value = "materialNo") String materialNo, @RequestParam(required = false, value = "mouldNo") String mouldNo, @RequestParam(required = false, value = "varietyNo") String varietyNo, @RequestParam(required = false, value = "craftItemNo") String craftItemNo) {
        return qcSourceService.queryQcSource(batchNo, machineNo, materialNo, mouldNo, varietyNo, craftItemNo);
    }

    /**
     * 导出Excel表格
     */
    @PostMapping("/exportExcel")
    public String exportExcel(@RequestBody ExportSourceExcelQo exportSourceExcelQo) throws Exception {
        return qcSourceService.exportExcel(exportSourceExcelQo);
    }

}
