package com.xkrs.controller;

import com.xkrs.model.qo.ExportSpecExcelQo;
import com.xkrs.model.qo.QcSpecQoDelete;
import com.xkrs.model.qo.QcSpecQoInsert;
import com.xkrs.model.qo.QcSpecQoUpdate;
import com.xkrs.service.QcSpecService;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;

@RestController
public class QcSpecController {

    @Resource
    private QcSpecService qcSpecService;

    /**
     * 添加检验规格
     */
    @PostMapping("/insertQcSpec")
    public String insertQcSpec(@RequestBody QcSpecQoInsert insertQo) {
        return qcSpecService.insertQcSpec(insertQo);
    }

    /**
     * 删除检验规格
     */
    @PostMapping("/deleteQcSpec")
    public String deleteQcSpec(@RequestBody QcSpecQoDelete deleteQo) {
        return qcSpecService.deleteQcSpec(deleteQo);
    }

    /**
     * 更新检验规格
     */
    @PostMapping("/updateQcSpec")
    public String updateQcSpec(@RequestBody QcSpecQoUpdate updateQo) {
        return qcSpecService.updateQcSpec(updateQo);
    }

    /**
     * 查询检验规格
     */
    @GetMapping("/queryQcSpec")
    public String queryQcSpec(@RequestParam(required = false, value = "varietyNo") String varietyNo, @RequestParam(required = false, value = "craftItemNo") String craftItemNo, @RequestParam(required = false, value = "qcItemNo") String qcItemNo) {
        return qcSpecService.queryQcSpec(varietyNo, craftItemNo, qcItemNo);
    }

    /**
     * 导入检验规格
     */
    @PostMapping("/importSpecExcel")
    public String importSpecExcel(@RequestParam(value = "specExcel") MultipartFile specExcel) {
        return qcSpecService.importSpecExcel(specExcel);
    }

    /**
     * 导出检验规格
     */
    @PostMapping("/exportSpecExcel")
    public String exportSpecExcel(@RequestBody ExportSpecExcelQo exportSpecExcelQo) throws Exception {
        return qcSpecService.exportSpecExcel(exportSpecExcelQo);
    }

    /**
     * 导出空白检验规格
     */
    @PostMapping("/exportEmptySpecExcel")
    public String exportEmptySpecExcel(@RequestBody ExportSpecExcelQo exportSpecExcelQo) throws Exception {
        return qcSpecService.exportEmptySpecExcel(exportSpecExcelQo);
    }

}
