package com.xkrs.model.bean;

public class XSSFCellDataBean {

    public static final int VALUE_TYPE_STRING = 1;
    public static final int VALUE_TYPE_DOUBLE = 2;

    private int valueType;
    private String stringValue;
    private double doubleValue;

    public XSSFCellDataBean(String source) {
        double tempDoubleValue = -100_000D;
        try {
            tempDoubleValue = Double.parseDouble(source);
        } catch (Exception e) {
        }
        if (tempDoubleValue < -99_000D) {
            valueType = VALUE_TYPE_STRING;
            stringValue = source;
        } else {
            valueType = VALUE_TYPE_DOUBLE;
            doubleValue = tempDoubleValue;
        }
    }

    public int getValueType() {
        return valueType;
    }

    public XSSFCellDataBean setValueType(int valueType) {
        this.valueType = valueType;
        return this;
    }

    public String getStringValue() {
        return stringValue;
    }

    public XSSFCellDataBean setStringValue(String stringValue) {
        this.stringValue = stringValue;
        return this;
    }

    public double getDoubleValue() {
        return doubleValue;
    }

    public XSSFCellDataBean setDoubleValue(double doubleValue) {
        this.doubleValue = doubleValue;
        return this;
    }

    @Override
    public String toString() {
        return "XSSFCellDataBean{" + "valueType=" + valueType + ", stringValue='" + stringValue + '\'' + ", doubleValue=" + doubleValue + '}';
    }
}
