package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * 工艺项目
 */
@Entity
@Table(name = "craft_item")
public class CraftItemEntity {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "craft_item_seq_gen")
    @SequenceGenerator(name = "craft_item_seq_gen", sequenceName = "craft_item_id_seq", allocationSize = 1)
    private Integer id;

    /**
     * 创建时间
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String createTime;

    /**
     * 更新时间
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String updateTime;

    /**
     * 编号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String craftItemNo;

    /**
     * 名称
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String craftItemName;

    public CraftItemEntity() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getCraftItemNo() {
        return craftItemNo;
    }

    public void setCraftItemNo(String craftItemNo) {
        this.craftItemNo = craftItemNo;
    }

    public String getCraftItemName() {
        return craftItemName;
    }

    public void setCraftItemName(String craftItemName) {
        this.craftItemName = craftItemName;
    }

    @Override
    public String toString() {
        return "CraftItemEntity{" + "id=" + id + ", createTime='" + createTime + '\'' + ", updateTime='" + updateTime + '\'' + ", craftItemNo='" + craftItemNo + '\'' + ", craftItemName='" + craftItemName + '\'' + '}';
    }
}
