package com.xkrs.model.qo;

import com.xkrs.model.va.FileQoInsert;

import javax.validation.constraints.NotBlank;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/20 15:26
 */
public class FileQo {

    /**
     * 批次号
     */
    @NotBlank(message = "{FileEntity.lotNo.blank}", groups = {FileQoInsert.class})
    private String lotNo;

    /**
     * 机器号
     */
    @NotBlank(message = "{FileEntity.machineNo.blank}", groups = {FileQoInsert.class})
    private String machineNo;

    /**
     * 物料号
     */
    @NotBlank(message = "{FileEntity.materialNo.blank}", groups = {FileQoInsert.class})
    private String materialNo;

    /**
     * 模具号
     */
    @NotBlank(message = "{FileEntity.modelNo.blank}", groups = {FileQoInsert.class})
    private String modelNo;

    /**
     * 机种号
     */
    @NotBlank(message = "{FileEntity.machineTypeNo.blank}", groups = {FileQoInsert.class})
    private String machineTypeNo;

    /**
     * 工艺项目名称
     */
    @NotBlank(message = "{FileEntity.craftItemName.blank}", groups = {FileQoInsert.class})
    private String craftItemName;

    public FileQo() {
    }

    public String getLotNo() {
        return lotNo;
    }

    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    public String getMachineNo() {
        return machineNo;
    }

    public void setMachineNo(String machineNo) {
        this.machineNo = machineNo;
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    public String getModelNo() {
        return modelNo;
    }

    public void setModelNo(String modelNo) {
        this.modelNo = modelNo;
    }

    public String getMachineTypeNo() {
        return machineTypeNo;
    }

    public void setMachineTypeNo(String machineTypeNo) {
        this.machineTypeNo = machineTypeNo;
    }

    public String getCraftItemName() {
        return craftItemName;
    }

    public void setCraftItemName(String craftItemName) {
        this.craftItemName = craftItemName;
    }
}
