package com.xkrs.model.qo;

import com.xkrs.model.va.QcSpecQoInsertVa;

import javax.validation.constraints.NotBlank;

/**
 * 新增检验规格接收类
 */
public class QcSpecQoInsert {

    /**
     * 机种号
     */
    @NotBlank(message = "{QcSpecEntity.varietyNo.blank}", groups = {QcSpecQoInsertVa.class})
    private String varietyNo;

    /**
     * 工艺项目编号
     */
    @NotBlank(message = "{QcSpecEntity.craftItemNo.blank}", groups = {QcSpecQoInsertVa.class})
    private String craftItemNo;

    /**
     * 检验项目编号
     */
    @NotBlank(message = "{QcSpecEntity.qcItemNo.blank}", groups = {QcSpecQoInsertVa.class})
    private String qcItemNo;

    /**
     * 最大值
     */
    private String max;

    /**
     * 平均值
     */
    private String mean;

    /**
     * 最小值
     */
    private String min;

    /**
     * 单位
     */
    private String unit;

    /**
     * 检验方法
     */
    private String method;

    /**
     * 检验标准
     */
    private String standard;

    /**
     * 备注
     */
    private String remark;

    public QcSpecQoInsert() {
    }

    public String getVarietyNo() {
        return varietyNo;
    }

    public void setVarietyNo(String varietyNo) {
        this.varietyNo = varietyNo;
    }

    public String getCraftItemNo() {
        return craftItemNo;
    }

    public void setCraftItemNo(String craftItemNo) {
        this.craftItemNo = craftItemNo;
    }

    public String getQcItemNo() {
        return qcItemNo;
    }

    public void setQcItemNo(String qcItemNo) {
        this.qcItemNo = qcItemNo;
    }

    public String getMax() {
        return max;
    }

    public void setMax(String max) {
        this.max = max;
    }

    public String getMean() {
        return mean;
    }

    public void setMean(String mean) {
        this.mean = mean;
    }

    public String getMin() {
        return min;
    }

    public void setMin(String min) {
        this.min = min;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public String getStandard() {
        return standard;
    }

    public void setStandard(String standard) {
        this.standard = standard;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "QcSpecQoInsert{" + "varietyNo='" + varietyNo + '\'' + ", craftItemNo='" + craftItemNo + '\'' + ", qcItemNo='" + qcItemNo + '\'' + ", max='" + max + '\'' + ", mean='" + mean + '\'' + ", min='" + min + '\'' + ", unit='" + unit + '\'' + ", method='" + method + '\'' + ", standard='" + standard + '\'' + ", remark='" + remark + '\'' + '}';
    }
}
