package com.xkrs.service;

import com.xkrs.model.qo.ExportSpecExcelQo;
import com.xkrs.model.qo.QcSpecQoDelete;
import com.xkrs.model.qo.QcSpecQoInsert;
import com.xkrs.model.qo.QcSpecQoUpdate;
import org.springframework.web.multipart.MultipartFile;

public interface QcSpecService {

    /**
     * 添加检验规格
     */
    String insertQcSpec(QcSpecQoInsert insertQo);

    /**
     * 删除检验规格
     */
    String deleteQcSpec(QcSpecQoDelete deleteQo);

    /**
     * 更新检验规格
     */
    String updateQcSpec(QcSpecQoUpdate updateQo);

    /**
     * 查询检验规格
     */
    String queryQcSpec(String varietyNo, String craftItemNo, String qcItemNo);

    /**
     * 导入检验规格
     */
    String importSpecExcel(MultipartFile specExcel);

    /**
     * 导出检验规格
     */
    String exportSpecExcel(ExportSpecExcelQo exportSpecExcelQo) throws Exception;

    /**
     * 导出空白检验规格
     */
    String exportEmptySpecExcel(ExportSpecExcelQo exportSpecExcelQo) throws Exception;


}
